跳轉到主要內容
GET
/
v2
/
redpacket
/
{id}
/
claims
紅包 - 領取紀錄
curl --request GET \
  --url https://api.chainstream.io/v2/redpacket/{id}/claims \
  --header 'Authorization: Bearer <token>'
{
  "hasNextPage": true,
  "records": [
    {
      "amount": "100000000",
      "claimer": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
      "mint": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
      "packetId": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
      "chain": "sol",
      "claimedAt": 1717334400000,
      "creator": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
      "txHash": "5UfDuX7hXbL3mFfPdq1pymNHM..."
    }
  ],
  "total": 123,
  "endCursor": "<string>",
  "startCursor": "<string>"
}

授權

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路徑參數

id
string
必填

紅包標識

查詢參數

cursor
string

分頁游標

limit
integer<int64>

每頁結果數量

direction
enum<string>
預設值:next

分頁方向 Pagination direction

可用選項:
next,
prev

回應

200 - application/json

成功回應

Paginated red packet claims response

hasNextPage
boolean
必填

是否有下一頁

records
object[]
必填

紅包領取紀錄列表

total
integer<int64>
必填

領取總數

endCursor
string | null

目前頁結束游標

startCursor
string | null

目前頁起始游標